<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
			text-align: left;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Custom Function Calls</h1>

		<p>CarbonPHP provides a method that allows you to manually call a database function that are not implemented
		in the CarbonPHP database classes.  For example if you wish to call the MySQL function
		<b>mysql_get_client_info()</b> which is not implemented in CarbonPHP you can do so using the following
		method.</p>

		<div class="example">
			$this->db->call_function('<b>get_client_info</b>');
		</div>

		<p>You have to supply the function name without the <b>mysql_</b> prefix as CarbonPHP will automatically
		prepend this to the function call based on the database driver being used.</p>

		<p>If you need to pass parameters to the function you can add them by passing them as a second parameter and
		onwards.</p>

		<div class="example">
			$this->db->call_function('some_function', $param1, $param2, ...);
		</div>

		<p>You may also need to pass the result ID or connection ID to the function, these can be access by doing the
		following.</p>

		<div class="example">
			$this->db->conn_id;
		</div>

		<p>The result ID can be accessed by doing the following.</p>

		<div class="example">
			$query = $this->db->query('SQL QUERY');<br />
			<br />
			<b>$query->result_id;</b>
		</div>
	</div>
</body>

</html>
